Linux cesa-www-main 6.1.0-49-cloud-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.174-1 (2026-05-26) x86_64
Apache/2.4.68 (Debian)
Server IP : 10.218.0.2 & Your IP : 216.73.217.79
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
etc /
rc5.d /
Delete
Unzip
Name
Size
Permission
Date
Action
K01apache-htcacheclean
2.43
KB
-rwxr-xr-x
2024-09-28 08:35
S01apache2
7.95
KB
-rwxr-xr-x
2024-09-29 18:51
S01cron
2.99
KB
-rwxr-xr-x
2022-07-17 08:49
S01dbus
3.08
KB
-rwxr-xr-x
2023-09-16 10:03
S01exim4
7
KB
-rwxr-xr-x
2025-03-21 14:34
S01haveged
2.31
KB
-rwxr-xr-x
2021-01-13 23:56
S01memcached
3.4
KB
-rwxr-xr-x
2023-01-12 00:02
S01nfs-kernel-server
4.67
KB
-rwxr-xr-x
2024-12-11 14:00
S01php7.2-fpm
4.19
KB
-rwxr-xr-x
2025-03-11 13:05
S01php7.4-fpm
4.19
KB
-rwxr-xr-x
2025-05-10 04:38
S01php8.1-fpm
4.19
KB
-rwxr-xr-x
2025-03-13 18:12
S01php8.4-fpm
4.19
KB
-rwxr-xr-x
2025-05-09 07:02
S01rsync
4.31
KB
-rwxr-xr-x
2025-01-15 18:47
S01ssh
3.96
KB
-rwxr-xr-x
2025-02-14 11:51
S01sudo
1.13
KB
-rwxr-xr-x
2023-06-27 11:45
S01unattended-upgrades
1.36
KB
-rwxr-xr-x
2022-12-31 20:59
S01uuidd
1.28
KB
-rwxr-xr-x
2024-11-21 20:01
Save
Rename
#! /bin/bash ### BEGIN INIT INFO # Provides: memcached # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Should-Start: $local_fs # Should-Stop: $local_fs # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: memcached - Memory caching daemon # Description: memcached - Memory caching daemon ### END INIT INFO # Usage: # cp /etc/memcached.conf /etc/memcached_server1.conf # cp /etc/memcached.conf /etc/memcached_server2.conf # start all instances: # /etc/init.d/memcached start # start one instance: # /etc/init.d/memcached start server1 # stop all instances: # /etc/init.d/memcached stop # stop one instance: # /etc/init.d/memcached stop server1 # There is no "status" command. PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin DAEMON=/usr/bin/memcached DAEMONNAME=memcached DAEMONBOOTSTRAP=/usr/share/memcached/scripts/start-memcached DESC=memcached test -x $DAEMON || exit 0 test -x $DAEMONBOOTSTRAP || exit 0 set -e if [ -f /etc/default/memcached ] ; then . /etc/default/memcached fi . /lib/lsb/init-functions FILES=(/etc/memcached_*.conf) # check for alternative config schema if [ -r "${FILES[0]}" ]; then CONFIGS=() for FILE in "${FILES[@]}"; do # remove prefix NAME=${FILE#/etc/} # remove suffix NAME=${NAME%.conf} # check optional second param if [ $# -ne 2 ]; then # add to config array CONFIGS+=($NAME) elif [ "memcached_$2" == "$NAME" ]; then # use only one memcached CONFIGS=($NAME) break; fi; done; if [ ${#CONFIGS[@]} == 0 ]; then echo "Config not exist for: $2" >&2 exit 1 fi; else CONFIGS=(memcached) fi; CONFIG_NUM=${#CONFIGS[@]} for ((i=0; i < $CONFIG_NUM; i++)); do NAME=${CONFIGS[${i}]} PIDFILE="/var/run/${NAME}.pid" case "$1" in start) echo -n "Starting $DESC: " start-stop-daemon --start --quiet --exec "$DAEMONBOOTSTRAP" -- /etc/${NAME}.conf $PIDFILE echo "$NAME." ;; stop) echo -n "Stopping $DESC: " start-stop-daemon --stop --quiet --oknodo --retry 5 --pidfile $PIDFILE --exec $DAEMON echo "$NAME." rm -f $PIDFILE ;; status) [ $# -lt 2 ] && NAME=$DAEMONNAME PIDFILE="/var/run/$NAME.pid" set +e start-stop-daemon --status --pidfile $PIDFILE case $? in 0) echo "$DESC: $NAME (pid $(cat $PIDFILE)) is running" && exit 0;; 1) echo "$DESC: $NAME is not running thro' the pid file exists" && rm -f $PIDFILE && exit 1;; 3) echo "$DESC: $NAME is not running" && exit 3;; 4) echo "$DESC: $NAME status is unclear, sorry" && exit 4;; esac ;; restart|force-reload) # # If the "reload" option is implemented, move the "force-reload" # option to the "reload" entry above. If not, "force-reload" is # just the same as "restart". # echo -n "Restarting $DESC: " start-stop-daemon --stop --quiet --oknodo --retry 5 --pidfile $PIDFILE rm -f $PIDFILE sleep 1 start-stop-daemon --start --quiet --exec "$DAEMONBOOTSTRAP" -- /etc/${NAME}.conf $PIDFILE echo "$NAME." ;; *) N=/etc/init.d/$NAME # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2 echo "Usage: $N {start|stop|status|restart|force-reload}" >&2 exit 1 ;; esac done; exit 0